<div class="container program">
    <!-- event -->
    <div class="event" style="padding-bottom: 30px">
        <div class="event-day col-xs-12">
            <div>
                <span class="day">{{dateOfDay | date: 'dd'}}</span>
                <span class="year">{{dateOfDay | date: 'MMMM'}}, {{dateOfDay | date: 'yyyy'}}</span>
            </div>
        </div>
    </div>
    <!-- /event -->
    <div class="row">
        <div class="col-md-12">
        <!--        <span>{{dateOfDay | date: 'EEE MMM dd yyyy'}}</span>-->
            <button *hasAnyRole="['SUPERADMIN','ADMIN']" class="btn btn-primary float-right" (click)=createSection(null)>
                <fa-icon [icon]="'plus'"></fa-icon>
                <span> New section</span>
            </button>
        </div>
    </div>
    <div class="row" style="padding-top: 10%">
        <div class="col-md-1" style="padding-left: 0; padding-right: 0; border-right: solid; color: #dd0a37;">
            <table>
                <tr>
                    <th>Time</th>
                </tr>
                <tr *ngFor="let time of times" [ngStyle]="{'height': '60px'}">
                    <td style="text-align: left">{{time}}</td>
                </tr>
            </table>
        </div>
        <div *ngFor="let room of rooms" class=""
             [ngStyle]="{'width': (roomsWidth)+'%', 'text-align': 'center'}">
            <h3 style="margin-bottom: 0px; color : white">{{room}}</h3>
            <ng-container *ngFor="let section of sections">
                <div (click)="showSection(section)" *ngIf="!section.forAll && section.room == room"
                     [ngStyle]="{'width': (roomsWidth-0.5)+'%', 'margin-top': pixelsFromTop(section.timeFrom)+'px',
                      'position':'absolute', 'text-align': 'center', 'box-sizing': 'none'}">
                    <div id="room{{getRoomIndex(room)}}" class="programSection" [ngStyle]="{'height': minsBetween(section.timeFrom, section.timeTo)+'px','box-sizing': 'none'}">
                        <button *hasAnyRole="['SUPERADMIN','ADMIN']" type="button" class="close btn btn-sm" (click)="deleteSection(section); $event.stopPropagation(); $event.preventDefault()">&times;</button>
                        <button *hasAnyRole="['SUPERADMIN','ADMIN']" type="button" class="close btn btn-sm" (click)="createSection(section); $event.stopPropagation(); $event.preventDefault()" data-background=false>
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                        </button>
                        <div [ngStyle]="{'margin-bottom': '0', 'padding-top' : (((minsBetween(section.timeFrom, section.timeTo))/2)-32)+'px'}"><p>{{section.name}} <br/> room {{section.room}}</p>
                        </div>
                    </div>
                </div>
            </ng-container>
        </div>
        <ng-container *ngFor="let section of sections">
            <div class="col-md-11" (click)="showSection(section)" *ngIf="section.forAll"
                 [ngStyle]="{'margin-top': pixelsFromTop(section.timeFrom)+26+'px',
                      'position':'absolute', 'text-align': 'center', 'margin-left': '8.3333%', 'box-sizing': 'none', 'padding-right': '0', 'padding-left': '0'}">
                <div id="room{{getRoomIndex(section.room)}}" class="programSection" [ngStyle]="{'height': minsBetween(section.timeFrom, section.timeTo)+'px'}">
                    <button *hasAnyRole="['SUPERADMIN','ADMIN']" type="button" class="close btn btn-sm" (click)="deleteSection(section); $event.stopPropagation(); $event.preventDefault()" data-background=false>&times;</button>
                    <button *hasAnyRole="['SUPERADMIN','ADMIN']" type="button" class="close btn btn-sm" (click)="createSection(section); $event.stopPropagation(); $event.preventDefault()" data-background=false>
                        <fa-icon [icon]="'pencil-alt'"></fa-icon>
                    </button>
                    <div [ngStyle]="{'margin-bottom': '0', 'padding-top' : (((minsBetween(section.timeFrom, section.timeTo))/2)-16)+'px'}">
                        <p>{{section.name}} {{section.room ? '(room ' + section.room +')' : ''}}</p>
                    </div>
                </div>
            </div>
        </ng-container>
    </div>
</div>
